refund

POST /v2/payments/refund

Call the refund API to perform a full or partial refund on a successful transaction.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see:

Request parameters

Parameter name

Type

Required

Description

refundRequestId

String

Yes

The unique ID assigned by the merchant to identify the refund request.

Maximum length: 64 characters

paymentId

String

Yes

The payment ID.

Note: Each paymentId only allows one refund request to be processed at the same time.

originalMerchantRefundId

String

Required for USB cable communication mode

Merchant-side POS referenceRefundId (only available in USB cable communication mode).

refundAmount

Amount

No

Refund amount.

Note: This parameter should only be passed for a partial refund. If this value is not passed, the transaction will be treated as a full refund.

memo

String

No

Refund note information.

Maximum length: 256 characters

Amount

Parameter name

Type

Required

Description

value

Integer

Yes

The amount value in the currency's smallest unit. For example, 10000 means 100.00 in SGD.

Value range: 0-2147483647

currency

String

Yes

The 3-character currency code that follows ISO-4217. For example, USD.

Maximum length: 3 characters

Response parameters

Parameter name

Type

Required

Description

refundRequestId

String

Yes

The refund request ID.

result

Result

YesThe result of the API call.

refundId

String

Yes

The refund ID.

Result

Parameter name

Type

Required

Description

resultStatus

String

Yes

The result status. Valid values are:

  • S: Successful
  • F: Failed
  • U: Unknown

resultCode

String

No

The result code.

Maximum length: 64 characters

resultMessage

String

No

The result message that describes the result code in detail.

Maximum length: 256 characters

Result codes

resultCode

resultStatus

resultMessage

Further action

SUCCESS

S

Success.

No action is required.

DPOS_PAYMENT_ACCESS_DENIED

F

Access is denied.

Contact Antom Technical Support for detailed reasons. 

DPOS_PAYMENT_CURRENCY_NOT_SUPPORT

F

The currency is not supported.

Contact Antom Technical Support for detailed reasons. 

DPOS_PAYMENT_INVALID_MERCHANT_STATUS

F

The merchant status is abnormal because restrictions exist.Contact Antom Technical Support for detailed reasons. 

DPOS_PAYMENT_ORDER_IS_CLOSED

F

The request you initiated has the same paymentRequestId as that of the existed transaction, which is closed.Use a new paymentRequestId to initiate the refund again. 

DPOS_PAYMENT_ORDER_NOT_EXIST

F

The order does not exist.

Check whether paymentId is correct. If correct, contact Antom Technical Support for specific reasons.

DPOS_PAYMENT_ORDER_STATUS_INVALID

F

The order status is invalid. The transaction is under process or the transaction is failed.Check the order status and take corresponding actions. Wait if the transaction is under process. Do not initiate the refund if the transaction failed. Contact Antom Technical Support for specific reasons.

DPOS_PAYMENT_REPEAT_REQ_INCONSISTENT

F

The amount or currency is different from the previous request.Ensure all the fields in the requests are the same or use a new paymentRequestId to initiate the refund again. 

DPOS_PAYMENT_RISK_REJECT

F

The request is rejected because of the risk control.

Prompt the user that the request is rejected because the risk control failed.  

DPOS_PAYMENT_ORDER_IS_CANCELED

F

The transaction is canceled.You cannot refund the transaction because it is canceled.

DPOS_SYSTEM_ ERROR

F

A system error occurred.Do not retry, and contact Antom Technical Support for more details. 

DPOS_REFUND_KEY_NOT_FOUND

F

The private key or public key of Antom or the merchant is not found.Check whether the private key or public key exists. If not, upload the private key in Antom Dashboard. 

DPOS_REFUND_MERCHANT_BALANCE_NOT_ENOUGH

F

The merchant balance is insufficient.Call the API again after the merchant has sufficient balance. The refundRequestId field needs to be changed when you try again.

DPOS_REFUND_MULTIPLE_REFUNDS_NOT_SUPPORTED

F

Multiple refunds are not supported because restrictions exist in the contract.Check whether multiple refunds exist. Do not call the refund interface anymore. For each refund, only call the interface once. 

DPOS_REFUND_NO_INTERFACE_DEF

F

API is not defined.Check whether the URL is correct. Please refer to the endpoint in the API documentation. 

DPOS_REFUND_INVALID_API

F

The called API is invalid or not active.Contact Antom Technical Support to resolve the issue.  

DPOS_REFUND_PROCESS_FAIL

F

A general business failure occurred.Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue. 

DPOS_REFUND_REFUND_AMOUNT_EXCEED

F

The total refund amount exceeds the payment amount or the refund amount is less than the minimum refund amount.Confirm whether the total refund amount exceeds the payment amount or whether the refund amount is less than the minimum refund amount. Create a new refund using an amount that is less than or equal to the payment amount and greater than or equal to the minimum refund amount, or contact Antom technical support.

DPOS_REFUND_REFUND_WINDOW_EXCEED

F

The refund date exceeds the refundable period that is agreed in the contract.Confirm whether the refund date exceeds the refundable period. Check the refundable period in the contract or contact Antom Technical Support for the specific refundable period.

DPOS_REFUND_REQUEST_TRAFFIC_EXCEED_LIMIT

F

The request traffic exceeds the limit.Call the API again to resolve the issue. If not resolved, contact Antom Technical Support. 

DPOS_REFUND_REFUND_IN_PROCESS

U

The refund is being processed.

Wait for the asynchronous notification or call the inquiryRefund API to query the final refund status. Do not retry the refund request.  

DPOS_REFUND_REFUND_NOT_SUPPORT

F

Refunds are not supported for this transaction.Check the transaction status and the refund policy in the contract. If the transaction is successful and the contract allows refunds, contact Antom Technical Support. 

DPOS_REFUND_PARTIAL_REFUND_NOT_SUPPORTED

F

A partial refund is not supported for this transaction.Make a full refund or contact the buyer for an offline refund.  

DPOS_REFUND_PAYMENT_METHOD_NOT_SUPPORTED

F

The payment method does not support canceling or refunding transactions if the payment status is successful.Do not retry. Contact Antom Technical Support to get more information.  

DPOS_REFUND_UNKNOWN_EXCEPTION

U

An API call has failed, which is caused by unknown reasons.Call the API again to resolve the issue. If not resolved, contact Antom Technical Support. 

Samples

The following code shows a request message:

copy
{
    "payRequestId": "uB0RN0c88v26cwW9IN2lE3fuW3AIRZ0v2ooyH6amwtM3by6o13e**********",
    "paymentId": "2026022593030000001******",
    "refundRequestId": "03PF50082_1770267087585_85******",
    "memo": "",
    "refundAmount": null
}

The following code shows a response message:

copy
{
    "refundId": "20260410194010890100111670209******",
    "refundRequestId": "03PF50082_1770267087585_85******",
    "refundTime": "2026-04-10T11:32:54Z",
    "result": {
        "resultCode": "SUCCESS",
        "resultMessage": "Success.",
        "resultStatus": "S"
    }
}